use thiserror::Error;

#[derive(Error, Debug)]
pub enum Errors {
    #[error("invalid input")]
    InvalidInput,
}

impl From<std::num::ParseIntError> for Errors {
    fn from(_: std::num::ParseIntError) -> Self {
        Errors::InvalidInput
    }
}
